Linked by Thom Holwerda on Tue 12th Jun 2012 23:59 UTC
Apple So, iOS 6 will make its way to devices all the way back to the 3GS... But many key features are not available at all on the 3GS, and even the iPhone 4 and iPad 2 are seeing features held back. "Some features, like the VIP List for email, the Offline Reading List, and Shared Photo Stream won't work on the iPhone 3GS. Even flagship iOS features like Flyover, turn-by-turn navigation, and FaceTime over cellular won't work on recent devices like the iPhone 4 or the iPad 2 - not to mention the iPhone 3GS." Pretty scummy and misleading.
Thread beginning with comment 521784
To read all comments associated with this story, please click here.
Not scummy
by PlunderBunny on Wed 13th Jun 2012 00:35 UTC
PlunderBunny
Member since:
2009-02-19

I agree with tbutler - I bought a 3GS when they were first released, and I'm pretty stoked that I'll be able to run iOS6 (albeit a subset). Not all features of iOS5 were available either. In both cases, Apple's articles about iOS contained the usual tiny-print disclaimers that not all features would be supported on all models, so I don't think it's misleading. I'd rather have some iOS6 features than none at all.

Apple still sells the 3GS, and that's a surprise - I can imagine that someone buying a 3GS new might be disappointed, but then again, what do you pay for when you plonk down the extra for a 4/4S?

The lack of support for the iPhone 4 is a bit more disturbing however - it's hard to write that off as being due to processor/memory requirements.

On a side note, my Mid-2007 MacBook Pro is the oldest Mac able to run Mountain Lion. I'm feeling pretty lucky at the moment!

Edited 2012-06-13 00:45 UTC

Reply Score: 3

RE: Not scummy
by arpan on Wed 13th Jun 2012 03:59 in reply to "Not scummy"
arpan Member since:
2006-07-30

The important thing about getting the update is that the 3GS will still be able to run all of the newest apps (expect 3D games).

Reply Parent Score: 3

RE: Not scummy
by dukes on Wed 13th Jun 2012 17:10 in reply to "Not scummy"
dukes Member since:
2005-07-06


The lack of support for the iPhone 4 is a bit more disturbing however - it's hard to write that off as being due to processor/memory requirements.


Agreed. My iPhone 4 runs Infinity Blade just fine!

Reply Parent Score: 1